Package com.documentum.fc.common

# Class DfValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.documentum.fc.common.DfException
com.documentum.fc.common.DfValidationException

All Implemented Interfaces:
  `IDfException`, `Serializable`

public class DfValidationException extends DfException
DfValidationException will be thrown when a validation rule is violated

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DF_ATTR_RULES_VIOLATED`
  `static final int`
  `DF_OBJ_RULES_VIOLATED`
  `static final int`
  `DF_VALIDATION_ERROR`
  `static final String`
  `DFE_ATTR_NAME`
  The property name for the attribute violating the attribute validation rules.
  `static final String`
  `DFE_ATTR_RULES_VIOLATED`
  The property name for the flag that indicates whether attribute rules were violated or not.
  `static final String`
  `DFE_ATTR_VALUE`
  The property name for the value of attribute violating the attribute validation rules.
  `static final String`
  `DFE_ATTRS_NAMES`
  The property name for the list of attributes violating the object validation rules.
  `static final String`
  `DFE_ATTRS_VALUES`
  The property name for the list of values for the attributes violating the object validation rules.
  `static final String`
  `DFE_CONSTRAINT_ERR_MSG`
  The property name for the attribute or object constraint error message.
  `static final String`
  `DFE_DATA_TYPE`
  Property name for the attribute data type.
  `static final String`
  `DFE_FORMAT_PATTERN`
  Property name for the attribute's pattern mask.
  `static final String`
  `DFE_MAX_LENGTH`
  Property name for the maximum string length.
  `static final String`
  `DFE_OBJ_RULES_VIOLATED`
  The property name for the flag that indicates whether object rules were violated or not.
  `static final String`
  `DFE_VALUE_LIST`
  Property name for the list containing the valid values for the attribute.

  ### Fields inherited from interface com.documentum.fc.common.IDfException

  `DFC_E_BAD_FULL_FORMAT, DM_DFC_E_BAD_CLASS, DM_DFC_E_BAD_INDEX, DM_DFC_E_BAD_VALUE, DM_DFC_E_CLASS_NOT_FOUND, DM_DFC_E_CONVERTED_EXCEPTION, DM_DFC_E_INIT_DMCL, DM_DFC_E_INIT_ERROR, DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION, DM_DFC_E_NOT_PROGRAMMATIC, DM_DFC_E_NOT_SUPPORTED, DM_DFC_E_NOT_SUPPORTED_BY_SERVER, DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS, DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_OBJECT_DISCONNECTED, DM_DFC_E_OBJECT_NOT_INITIALIZED, DM_DFC_E_PATH_NOT_FOUND, DM_DFC_E_RD_NO_SAVED_CONTENT, DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED, DM_DFC_E_SERVER, DM_DFC_E_TYPE_MISMATCH, DM_DFC_E_TYPE_MISMATCH_ADD, DM_DFC_E_TYPE_MISMATCH_COMP, DM_DFC_E_TYPE_MISMATCH_GET, DM_DFC_E_TYPE_NOT_FOUND, DM_DFC_E_UNDEFINED, DM_DFC_E_UNKNOWN_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE, DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT, DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE, DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED, DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING, DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH, DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH, DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET, DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_NOT_EXIST, DM_DFCCOLL_E_BAD_QUERY_TYPE, DM_DFCCOLL_E_BAD_STATE, DM_DFCCTXTMGR_E_GETCONTEXT, DM_DFCQB_BAD_TIME_PATTERN, DM_DFCQB_FILE_ERROR, DM_DFCQB_INTERNAL_ERROR, DM_DFCQB_NO_PATH_SPECIFIED, DM_DFCRM_E_OBJCARR_ERROR, DM_DFCSESS_E_BAD_ADOPT_SESSID, DM_DFCSESS_E_DISCONNECTED, DM_DFCSESS_E_FAILED, DM_DFCSESS_E_FAILED_EX, DM_DFCSESS_E_ILLEGAL_OP, DM_DFCSP_INVALID_CUSTOM_RULE, DM_DFCSP_NO_RULES, DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR, DM_DFCSP_RELATION_EXISTS_ERROR, DM_DFCSP_RF_NO_ATTRIBUTE, DM_DFCSP_RF_NO_DATA_TYPE, DM_DFCSP_RF_NO_RELATION_OP, DM_DFCSP_RF_NO_VALUE, DM_DFCSP_RF_TYPE_OP_MISMATCH, DM_DFCSP_RL_FACTORS_OPS_MISMATCH, DM_DFCSP_RL_NO_FACTORS, DM_DFCSP_RL_NO_LOGIC_OP, DM_DFCSP_RL_NO_STORAGE, DM_DFCSP_RULE_VALIDATION_ERROR, DM_DFCSP_RULES_NOT_RENDERED_ERROR, DM_DFCSP_STORAGE_POLICY_ERROR, DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR, DM_DFCWF_E_APPEND_NOTE, DM_DFCWF_E_BAD_OBJECT, DM_DFCWF_E_BAD_TEMPLATE, DM_DFCWF_E_INVALID_GROUP, DM_DFCWF_E_MISSING_TEMPLATE, DM_DFCWF_E_NO_OBJECT, DM_DFCWF_E_NO_USER, DM_DFCWF_E_START_FAILED, DM_DFCWF_E_USER_LIMIT, DM_EXPR_E_EVALUATE, DM_EXPR_E_EVALUATOR_LOAD_FAIL, DM_EXPR_E_PARSE, DM_EXPR_E_PARSE_LOAD_FAIL, DM_NOTDFC_E_EXTERNAL, DM_NOTDFC_E_JAVA, DM_TEMPVDM_E_ERROR, DM_VALIDATION_E_ATTR_RULES, DM_VALIDATION_E_ATTR_RULES_NO_VAL, DM_VALIDATION_E_DATATYPE, DM_VALIDATION_E_ERROR, DM_VALIDATION_E_EXCESS_LEN, DM_VALIDATION_E_EXPR, DM_VALIDATION_E_FORMAT, DM_VALIDATION_E_OBJ_EXPR, DM_VALIDATION_E_OBJ_NULL_DATA, DM_VALIDATION_E_OBJ_RULES, DM_VALIDATION_E_USE_VALUE_ASST, errorCorruptedFile, errorDirectoryDoesNotExist, errorDirectoryIsActuallyAFile, errorFileDoesNotExist, errorFileIsActuallyADirectory, errorNoPermissionToCreateDirectory, errorNoPermissionToCreateFile, errorNoPermissionToDetectExistanceOfDirectory, errorNoPermissionToDetectExistanceOfFile, errorNoPermissionToOpenExistingFileWithWriteAccess, errorNoPermissionToOpenFileWithReadAccess, errorReadingFile, errorWritingToExistingFile, errorWritingToNewFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfValidationException(String strKey, IDfList attrs, IDfList values, String msg)`
  `DfValidationException(String strKey, IDfValue value)`
  `DfValidationException(String strKey, String[] args)`
  `DfValidationException(String strKey, String[] args, Throwable t)`
  `DfValidationException(String strKey, String strAttrName, IDfValue value, String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttrName()`
  `IDfList`
  `getAttrsNames()`
  `IDfList`
  `getAttrsValues()`
  `String`
  `getAttrValue()`
  `void`
  `setAttrName(String attrName)`
  `void`
  `setAttrsNames(IDfList attrNameList)`
  `void`
  `setAttrsValues(IDfList attrValueList)`
  `void`
  `setAttrValue(IDfValue attrValue)`
  `void`
  `setProperty(String strName, int value)`
  `void`
  `setProperty(String strName, IDfList value)`
  `void`
  `setProperty(String strName, String value)`

  ### Methods inherited from class com.documentum.fc.common.DfException

  `appendException, convert, getArguments, getCount, getErrorCode, getMessage, getMessageHelper, getMessageId, getNextException, getProperties, getStackTraceAsString, getTailException, getThreadInfo, materializedLightObjectException, newAlreadyMaterializedException, newApiBadType, newAspectMissingPropertyBag, newAuditTrailOutOfRangeException, newBadCacheTypeNameException, newBadClassException, newBadDataTypeException, newBadDateException, newBadDocbaseScopeIdException, newBadFlushArgException, newBadIdException, newBadTypeException, newCannotChangeSharedParentException, newCannotDestroyAspect, newCantApplyException, newCantExportDirtyObjectException, newCantFetchInvalidId, newCantWithOpenTranException, newClassNotFoundException, newDecodingFailedException, newDeserializeFailedException, newDynamicGroupUpdateException, newFailedPolicyUpdateException, newFlushDDCacheBadKeyException, newFlushDDCacheNoKeyException, newFlushRegistryCacheNoKeyException, newIllegalDateFormatException, newIllegalSBOAccessException, newInvalidAspectName, newInvalidDefaultValue, newInvalidNewObjectException, newInvalidTypeException, newMaterializationOptionMismatchException, newMultipleObjectsQualify, newNoCacheKeyException, newNoCacheNameException, newNoCacheTypeNameException, newNoEventNameException, newNoIdException, newProxyInstantiateFailedException, newQueryFailException, newQuerySessionClosedException, newReplicaAspectGenerationFailed, newRetentionOnParkedContentDisabled, newSerializeFailedException, newShareableTypeMismatchException, newTransactionActiveException, newTransactionLostException, newUnsupportedLoginTicketObjectVersionException, newUpdateBadAttrException, newWrongCacheNameException, noLightweightParentTypeException, notShareableParentTypeException, parseException, printStackTrace, printStackTrace, registerResourceBundle, setErrorCode, setErrorCodeRaw, setIncludeStackTraceInMsg, setMessage, setNextException, toString, toStringForCOM`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DF_VALIDATION_ERROR

    public static final int DF_VALIDATION_ERROR
    See Also:
      - Constant Field Values

  - ### DF_ATTR_RULES_VIOLATED

    public static final int DF_ATTR_RULES_VIOLATED
    See Also:
      - Constant Field Values

  - ### DF_OBJ_RULES_VIOLATED

    public static final int DF_OBJ_RULES_VIOLATED
    See Also:
      - Constant Field Values

  - ### DFE_ATTR_NAME

    public static final String DFE_ATTR_NAME
    The property name for the attribute violating the attribute validation rules. The data type of this property is String. The null value will be represented by an empty string ("").
    See Also:
      - Constant Field Values

  - ### DFE_ATTR_VALUE

    public static final String DFE_ATTR_VALUE
    The property name for the value of attribute violating the attribute validation rules. The data type of this property is String. The null value will be represented by an empty string ("").
    See Also:
      - Constant Field Values

  - ### DFE_ATTRS_NAMES

    public static final String DFE_ATTRS_NAMES
    The property name for the list of attributes violating the object validation rules. The data type of this property is IDfList. The list is a list of strings.
    See Also:
      - Constant Field Values

  - ### DFE_ATTRS_VALUES

    public static final String DFE_ATTRS_VALUES
    The property name for the list of values for the attributes violating the object validation rules. The data type of this property is IDfList. The list is a list of lists where each list contains those values for the corresponding attribute provided in the "attrNames" property. In other words, if the attrNames property is set and its value is the list { "object_name", "keywords" }, the value of this property would be a list containing two lists. It value might look like { { "Doc Name" }, { "foo", "bar" } }.
    See Also:
      - Constant Field Values

  - ### DFE_ATTR_RULES_VIOLATED

    public static final String DFE_ATTR_RULES_VIOLATED
    The property name for the flag that indicates whether attribute rules were violated or not. The data type of this property is boolean.
    See Also:
      - Constant Field Values

  - ### DFE_OBJ_RULES_VIOLATED

    public static final String DFE_OBJ_RULES_VIOLATED
    The property name for the flag that indicates whether object rules were violated or not. The data type of this property is boolean.
    See Also:
      - Constant Field Values

  - ### DFE_CONSTRAINT_ERR_MSG

    public static final String DFE_CONSTRAINT_ERR_MSG
    The property name for the attribute or object constraint error message. The value of this property will be the error message specified by the REPORT clause of the relevant constraint specification used in the CREATE/ALTER TYPE query. This clause is optional so it may be an empty string. The data type of this property is String.
    See Also:
      - Constant Field Values

  - ### DFE_MAX_LENGTH

    public static final String DFE_MAX_LENGTH
    Property name for the maximum string length. This property gets set when DM_VALIDATION_E_EXCESS_LEN validation exceptions are thrown. The value is the maximum string length allowed for that attribute (in bytes). The data type of this property is int.
    See Also:
      - Constant Field Values

  - ### DFE_DATA_TYPE

    public static final String DFE_DATA_TYPE
    Property name for the attribute data type. This property is set when DM_VALIDATION_E_DATATYPE validation exceptions are thrown. The value is the integer constant (0-5) representing the attribute's expected type (see constant values defined in IDfAttr or described in the server manual). The data type of this property is int.
    See Also:
      - Constant Field Values

  - ### DFE_FORMAT_PATTERN

    public static final String DFE_FORMAT_PATTERN
    Property name for the attribute's pattern mask. This property is set when DM_VALIDATION_E_FORMAT validation exceptions are thrown. The value is the format mask used to validate the value (e.g.: "UUU-##"). The data type of this property is String.
    See Also:
      - Constant Field Values

  - ### DFE_VALUE_LIST

    public static final String DFE_VALUE_LIST
    Property name for the list containing the valid values for the attribute. This property is set when DM_VALIDATION_E_USE_VALUE_ASST validation exceptions are thrown. The values are the string values from the value assistance list. (This exception is thrown only when the value assistance is marked as COMPLETE and the value is not one of the values in that list.) The data type of this property is IDfList. The list is a list of strings.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DfValidationException

    public DfValidationException(String strKey, String[] args)

  - ### DfValidationException

    public DfValidationException(String strKey, String[] args, Throwable t)

  - ### DfValidationException

    public DfValidationException(String strKey, IDfValue value)

  - ### DfValidationException

    public DfValidationException(String strKey, String strAttrName, IDfValue value, String msg)

  - ### DfValidationException

    public DfValidationException(String strKey, IDfList attrs, IDfList values, String msg)

- ## Method Details

  - ### getAttrName

    public String getAttrName()

  - ### getAttrValue

    public String getAttrValue()

  - ### getAttrsNames

    public IDfList getAttrsNames()

  - ### getAttrsValues

    public IDfList getAttrsValues()

  - ### setAttrName

    public void setAttrName(String attrName)

  - ### setAttrValue

    public void setAttrValue(IDfValue attrValue)

  - ### setAttrsNames

    public void setAttrsNames(IDfList attrNameList)

  - ### setAttrsValues

    public void setAttrsValues(IDfList attrValueList)

  - ### setProperty

    public void setProperty(String strName, String value)

  - ### setProperty

    public void setProperty(String strName, int value)

  - ### setProperty

    public void setProperty(String strName, IDfList value)